=== debian/changelog ===
ros-humble-librealsense2 (2.54.1-1jammy) jammy; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- LibRealSense ROS Team <librs.ros@intel.com>  Wed, 21 Jun 2023 12:16:38 -0000
