## ros-humble-librealsense2 2.55.1

=== debian/changelog ===
ros-humble-librealsense2 (2.55.1-1bookworm) bookworm; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- LibRealSense ROS Team <librs.ros@intel.com>  Tue, 27 Aug 2024 10:08:03 -0000
